import request from '@/utils/request'

// 查询市场监管-股权冻结列表
export function listFreeze(query) {
    return request({
        url: '/crmEquityFreeze/findByPage',
        method: 'get',
        params: query
    })
}

// 查询市场监管-股权冻结详细
export function getFreeze(id) {
    return request({
        url: '/crmEquityFreeze/' + id,
        method: 'get'
    })
}

// 新增市场监管-股权冻结
export function addFreeze(data) {
    return request({
        url: '/crmEquityFreeze',
        method: 'post',
        data: data
    })
}

// 修改市场监管-股权冻结
export function updateFreeze(data) {
    return request({
        url: '/crmEquityFreeze',
        method: 'put',
        data: data
    })
}

// 删除市场监管-股权冻结
export function delFreeze(id) {
    return request({
        url: '/crmEquityFreeze/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delFreezeBatch(ids) {
    console.log(ids);
    return request.post('/crmEquityFreeze/delete',ids)
}